Python项目生成依赖包清单requirements .txt文件

生成所有依赖清单requirements.txt

这里需要使用到的工具叫pipreqs,先安装:

pip install pipreqs 

装好之后cmd到项目路径下:

pipreqs ./

很开心,完美的报错了,我首先想到的解决办法是,找到安装包pipreqs.py文件,直接修改pipreqs.py 的75行,将encoding改为utf-8,想想觉得这种方式不够友好,请看下面这种解决方式

pipreqs ./ --encoding=utf-8

当项目里存在requirements .txt文件时,执行会提示一下警告,use --force to overwrite it,执行pipreqs ./ --encoding=utf-8 --force即可

D:\soft\pycharm\pycharmcode\spider_project\companyNews_all>pipreqs ./ --encoding=utf-8
WARNING: Requirements.txt already exists, use --force to overwrite it

D:\soft\pycharm\pycharmcode\spider_project\companyNews_all>pipreqs ./ --encoding=utf-8 --force
INFO: Successfully saved requirements file in ./requirements.txt

搞定~但是发现可能会有个别包漏掉,还得手工再解决一下,不过至少大头的依赖都已经列出来了

使用requirements.txt自动安装所有依赖包

一条命令全搞定

pip install -r requirements.txt

python下使用pip freeze >requirements.txt命令迁移模块

pip freeze >requirements.txt会生成当前python环境安装的所有安装包,生成的文件名可以任意命名,安装的时候也要用这个名字

pip freeze > requirements.txt

pip freeze 会附带上一些不需要的包,以及某些包依赖的包~

支持的写法

-r base.txt # base.txt下面的所有包
pypinyin==0.12.0 # 指定版本(最日常的写法)
django-querycount>=0.5.0 # 大于某个版本
django-debug-toolbar>=1.3.1,<=1.3.3 # 版本范围

pip_freeze官方链接:https://pip.pypa.io/en/stable/reference/pip_freeze/

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

发表于

我来说两句

0 条评论
登录 后参与评论

扫码关注云+社区

领取腾讯云代金券